<?
  $out .= '<div class="form-group row">';
    $out .= '<label class="col-lg-4 control-label" ';

    if ( $this -> params['id'] )
        $out .= 'for="' . $this -> params['id'] . '" ';
      else
        $out .= 'for="' . $this -> params['name'] . '" ';

    $out .= '>' . $this -> params['label'] . ':</label>';
    $out .= '<div class="col-lg-8">';
      $out .= '<input class="icheck" ';

        if ( $this -> params['id'] )
          $out .= 'id="' . $this -> params['id'] . '" ';
        else
          $out .= 'id="' . $this -> params['name'] . '" ';
        $out .= 'name="' . $this -> params['name'] . '" type="checkbox" value="on"';

        if ( $this -> params['checked'] )
          $out .= 'checked="checked" ';

        $out .= '>';
    $out .= '</div>';
  $out .= '</div>';

echo $out;
